summary refs log tree commit diff
path: root/.config/waybar/modules/timetracked.sh
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2023-01-07 19:41:47 +0100
committerRobert Günzler <r@gnzler.io>2023-01-07 19:54:48 +0100
commitb9c14ef8bd5b0441c4ed6e544d7dbd5adb12e25a (patch)
tree972fa420b24a5ad4deb1776bf1bd8751fb3a3df2 /.config/waybar/modules/timetracked.sh
parent927dbee46ea6818890c8d36b71c23f8058d29b42 (diff)
waybar: cleanup
Signed-off-by: Robert Günzler <r@gnzler.io>
Diffstat (limited to '.config/waybar/modules/timetracked.sh')
-rwxr-xr-x.config/waybar/modules/timetracked.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/.config/waybar/modules/timetracked.sh b/.config/waybar/modules/timetracked.sh
index 52611a3..4e384bf 100755
--- a/.config/waybar/modules/timetracked.sh
+++ b/.config/waybar/modules/timetracked.sh
@@ -3,6 +3,10 @@
 set -e
 [ -n "$DEBUG" ] && set -x
 
+if ! command -v timetrace >/dev/null 2>&1; then
+	exit 0
+fi
+
 case "$1" in
 on-click)
 	timetrace status >/dev/null && timetrace stop